Subject: Re: bug#71840: 30.0.60; Reference to non-existent variable in c-opt-extra-label-key docstring

From: Alan Mackenzie <[email-masked]>
Date: Mon, 1 Jul 2024 20:45:18 +0000

Hello, Stefan.

On Sun, Jun 30, 2024 at 16:31:02 -0700, Stefan Kangas wrote:
> Alan Mackenzie <[email-masked]> writes:

> > On Sat, Jun 29, 2024 at 06:12:10 -0700, Stefan Kangas wrote:
> >> There is a reference to a variable `c-nonlabel-decl-prefix-re` in the
> >> `c-opt-extra-label-key` docstring (cc-langs.el:4400), but I can't find
> >> that variable anywhere in our tree.

> > How on Earth did you spot that?  :-)

> I have a (very ugly and very slow) shell script that looks for symbols
> that only show up once in our sources.  Many of them turn out to be
> typos, though there is also a long list of false positives that it
> ignores.

I'm impressed.

> > I'll fix the documentation in the next day or so.

The fix is now committed to the emacs-30 branch.  I'm closing the bug
with this post.

> Thanks!

-- 
Alan Mackenzie (Nuremberg, Germany).